Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.db.makumba.sql
Class OracleDatabase

    java.lang.Object
      org.makumba.db.makumba.Database
          org.makumba.db.makumba.sql.Database
              org.makumba.db.makumba.sql.OracleDatabase

    public class OracleDatabase

extends Database

the database adapter for PostgreSQL

Field Summary

Fields inherited from class org.makumba.db.makumba.sql.Database
`addUnderscore, catalog, connectionConfig, DESIRED_TRANSACTION_LEVEL, eng, sqlDrivers, types, url`

Fields inherited from class org.makumba.db.makumba.Database
`connections, nr, requestForeignKeys, requestUTF8, tp`

Constructor Summary
`OracleDatabase(Properties p)` simply calls super

Method Summary
`protected String` | `getJdbcUrl(Properties p)` builds a JDBC Connection URL given the host, sqlEngine and database properties
`protected int` | `getMaxFieldNameLength()`
`protected int` | `getMaxTableNameLength()`

Methods inherited from class org.makumba.db.makumba.sql.Database
`checkState, checkState, exec, getEngine, getEngineProperty, getLimitSyntax, getMaxPointerValue, getMinPointerValue, getNameResolverHook, getPointer, getTableClass, getTableClassConfigured, isDuplicateException, isForeignKeyViolationException, isLimitOffsetFirst, logException, logException, logException, makeDBConnection, OQLDate, parseReadableForeignKeyErrorMessage, prepareQueryImpl, prepareUpdateImpl, readCatalog, SQLEscape, supportsForeignKeys, supportsLimitInQuery, supportsUTF8`

Methods inherited from class org.makumba.db.makumba.Database
`checkForeignKeys, close, closeConnections, copyFrom, copyFrom, copyFrom, copyFrom, copyFrom, deleteFrom, deleteFrom, deleteFrom, deleteFrom, finalize, findConfig, getConfiguration, getConfigurationProperties, getDBConnection, getDBConnection, getDbsv, getFieldNameInSource, getName, getNameResolver, getTable, getTable, getTypeNameInSource, initConnections, isAutoIncrement, makePseudoTable, openTable, openTables, usesHibernateIndexes`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OracleDatabase

    public OracleDatabase(Properties p)

  simply calls super

Method Detail

### getMaxTableNameLength

    protected int getMaxTableNameLength()

### getMaxFieldNameLength

    protected int getMaxFieldNameLength()

### getJdbcUrl

    protected String getJdbcUrl(Properties p)

  Description copied from class: `Database`
  builds a JDBC Connection URL given the host, sqlEngine and database properties

  Overrides:
    `getJdbcUrl` in class `Database`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20